Version 1.31.0
Third Party API (v 1.31.0)
What's New
PUT /api/business/{businessId}/branch/{branchId}/leads/{leadId}
PUT /api/business/{businessId}/branch/{branchId}/leads/{leadId}Update an existing lead
What's Changed
GET /api/business/{businessId}/client/{clientId}
GET /api/business/{businessId}/client/{clientId}Return Type:
Changed response : 200 OK
Specified client retrieved
-
Changed content type :
application/json- Added property
linkedClientId(string)id of the linked (parent) client this client is linked to, if any
- Added property
PUT /api/business/{businessId}/client/{clientId}
PUT /api/business/{businessId}/client/{clientId}Return Type:
Changed response : 200 OK
Client updated successfully
-
Changed content type :
application/json- Added property
linkedClientId(string)id of the linked (parent) client this client is linked to, if any
- Added property
GET /api/business/{businessId}/client/walk-in
GET /api/business/{businessId}/client/walk-inReturn Type:
Changed response : 200 OK
walk-in client retrieved
-
Changed content type :
application/json- Added property
linkedClientId(string)id of the linked (parent) client this client is linked to, if any
- Added property
POST /api/business/{businessId}/client
POST /api/business/{businessId}/clientReturn Type:
Changed response : 201 Created
Client created successfully
-
Changed content type :
application/json- Added property
linkedClientId(string)id of the linked (parent) client this client is linked to, if any
- Added property
GET /api/business/{businessId}/client
GET /api/business/{businessId}/clientParameters:
Added: includeLinkedClients in query
when true and combined with a phone filter, also returns clients linked to the matched clients
Return Type:
Changed response : 200 OK
Clients listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
clients(array)Changed items (object):
- Added property
linkedClientId(string)id of the linked (parent) client this client is linked to, if any
- Added property
-
-
GET /api/business/{businessId}/client-batch
GET /api/business/{businessId}/client-batchReturn Type:
Changed response : 200 OK
Batch of clients retrieved
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
clients(array)Changed items (object):
- Added property
linkedClientId(string)id of the linked (parent) client this client is linked to, if any
- Added property
-
-
GET /api/business/{businessId}/branch/{branchId}/appointment
GET /api/business/{businessId}/branch/{branchId}/appointmentParameters:
Added: sort in query
sort results in 'property,direction' form. Supported properties are 'appointmentDate' and 'creationDate'; direction is 'asc' or 'desc' (defaults to 'asc'). Example: 'appointmentDate,desc'. When omitted, results are returned in the default order (by creation date, or by update time for updated-range queries)
Return Type:
Changed response : 400 Bad Request
Invalid request parameters. Returned when: neither a [from_date, to_date] range nor an [updated_from, updated_to] range is supplied; only one bound of a range is supplied (both bounds are required); a supplied date range spans more than 31 days; a from_date, to_date, updated_from or updated_to value is not a valid date/date-time; or 'sort' is not one of the supported values ('appointmentDate', 'creationDate')
Result
API changes are backward compatible